package enum

type SelfSupportForSchoolOrdOrderStatus int32

const (
	SelfSupportForSchoolOrdOrderStatusForWait    = 1
	SelfSupportForSchoolOrdOrderStatusForSuccess = 2
	SelfSupportForSchoolOrdOrderStatusForRefund  = 3
	SelfSupportForSchoolOrdOrderStatusForCancel  = 4
)

func (gt SelfSupportForSchoolOrdOrderStatus) String() string {
	switch gt {
	case SelfSupportForSchoolOrdOrderStatusForWait:
		return "待支付"
	case SelfSupportForSchoolOrdOrderStatusForSuccess:
		return "支付成功"
	case SelfSupportForSchoolOrdOrderStatusForRefund:
		return "已退款"
	case SelfSupportForSchoolOrdOrderStatusForCancel:
		return "已撤销"
	default:
		return "未知"
	}
}
